Imports System.Data
Imports System.Data.OleDb
Imports System.IO
Imports System.Data.SqlClient
Imports System.Configuration
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Upload(ByVal sender As Object, ByVal e As EventArgs)
        'Upload and save the File.
        Dim excelPath As String = Server.MapPath("~/Files/") + Path.GetFileName(fuUpload.PostedFile.FileName)
        fuUpload.SaveAs(excelPath)
        Dim conString As String = String.Empty
        Dim storedProc As String = String.Empty
        Dim sheet1 As String = String.Empty
        Dim extension As String = Path.GetExtension(fuUpload.PostedFile.FileName)

        Select Case extension
            Case ".xls" 'Excel 97-03.
                storedProc = "spx_ImportFromExcel03"
                conString = ConfigurationManager.ConnectionStrings("Excel03ConString").ConnectionString
            Case ".xlsx" 'Excel 07 or higher.
                storedProc = "spx_ImportFromExcel07"
                conString = ConfigurationManager.ConnectionStrings("Excel07+ConString").ConnectionString
        End Select

        'Read the Sheet Name.
        conString = String.Format(conString, excelPath)
        Using excel_con As OleDbConnection = New OleDbConnection(conString)
            excel_con.Open()
            sheet1 = excel_con.GetOleDbSchemaTable(OleDbSchemaGuid.Tables, Nothing).Rows(0)("TABLE_NAME").ToString()
            excel_con.Close()
        End Using

        'Call the Stored Procedure to import Excel data in Table.
        Dim constr As String = ConfigurationManager.ConnectionStrings("conString").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand(storedProc, con)
                cmd.CommandType = CommandType.StoredProcedure
                cmd.Parameters.AddWithValue("@SheetName", sheet1)
                cmd.Parameters.AddWithValue("@FilePath", excelPath)
                cmd.Parameters.AddWithValue("@HDR", "YES")
                cmd.Parameters.AddWithValue("@TableName", "tblPersons")
                cmd.Connection = con
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
    End Sub
End Class
